BINUTILS-CONFIG(8)

NAME
binutils-config - manage active versions of the binutils programs

DESCRIPTION
The binutils-config script allows you to switch between different versions of binutils when you have installed multiple copies (see USE=multislot). It also allows you to manage multiple cross-compiling targets simultaneously. Remember, you may have one version of binutils active per CTARGET, and changing the version for one target has no bearing on any other. So changing an active cross-compiler will not break your native compiler (i.e. CHOST).

SYNOPSIS
binutils-config [crufty options] PROFILE binutils-config --get-current-profile [TARGET] binutils-config --list-profiles binutils-config --uninstall TARGET

GENERIC OPTIONS

PROFILE
    Change the system to use the specified binutils version. This may take the form of the list index number (the number shown on the left in the --list-profiles output), a full TARGET-VERSION (useful when working with cross-compilers), just a TARGET where the VERSION is picked from the active, or just a binutils VERSION where the TARGET is assumed to be the native HOST value.

TARGET
    Similiar to PROFILE, but this is only the target and no version info (i.e. CTARGET or CHOST).

-c, --get-current-profile [TARGET]
    Display the active profile for TARGET. If none is specified, the host system's TARGET will be shown (i.e. CHOST).

-l, --list-profiles
    Show all the profiles that your system currently has installed and what versions are active. The active native version is noted with a bright green asterisk while the active cross-compiler versions are noted with a light blue asterisk.

-u, --uninstall TARGET
    This is really for internal use only. Used to remove all traces of the TARGET binutils from your system.

CRUFTY OPTIONS

--linker <linker>
    Change the default linker for the specified PROFILE to the <linker>. Common names are ld.gold for the newer gold linker and ld.bfd for the classic linker. Note that not all targets support the gold linker.

REPORTING BUGS
Please report bugs via https://bugs.gentoo.org/

SEE ALSO
ar(1), as(1), ld(1), nm(1), objcopy(1), ranlib(1), readelf(1), strings(1), strip(1)

FILES
/usr/bin/binutils-config
/etc/env.d/binutils/*

AUTHORS
Mike Frysinger <vapier@gentoo.org>